#ifndef MOLECULEIDDESCRIPTOR_IMPL_HPP
#define MOLECULEIDDESCRIPTOR_IMPL_HPP

#include "Descriptors/MoleculeDescriptor_impl.hpp"

class MoleculeIdDescriptor_impl : public MoleculeDescriptor_impl
{
public:
  MoleculeIdDescriptor_impl(moleculeId_t _id);
  virtual ~MoleculeIdDescriptor_impl();

  bool predicate(std::pair<moleculeId_t,molecule*> molecule);

protected:
  virtual molecule *find();
  virtual std::vector<molecule*> findAll();
private:
  moleculeId_t id;
};

#endif //MOLECULEIDDESCRIPTOR_IMPL_HPP
